package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.caoyao.cpzshandset.bean.DealerInfoBean;
import cn.net.cpzslibs.prot.handset.bean.res.LiqueurDealerBean;

public interface DealerDal {
	/**
	 * 插入白酒的经销商信息
	 * @param b
	 */
	void insertLiqueurDealer(LiqueurDealerBean b);
	/**
	 * 插入白酒的经销商列表
	 * @param dealers
	 */
	void insertLiqueurDealerList(List<LiqueurDealerBean> dealers);
	/**
	 * 删除所有的经销商信息
	 */
	void deleteAllDealer();
	/**
	 * 通过经销商id，查询经销商信息
	 * @param id
	 * @return
	 */
	DealerInfoBean queryDealerById(long id);
	/**
	 * 查询所有的经销商信息
	 */
	List<DealerInfoBean> queryAllDealer();
	/**
	 * 通过条件查询经销商信息
	 * @param condition
	 * @return
	 */
	List<DealerInfoBean> searchDealerByCondition(String condition);
	DealerInfoBean getDealerBean(Cursor c);
}
